[TASK] Update nikic/php-parser to 4.2 35/61435/3
authorAndreas Fernandez <a.fernandez@scripting-base.de>
Sun, 4 Aug 2019 08:13:10 +0000 (10:13 +0200)
committerAndreas Fernandez <a.fernandez@scripting-base.de>
Mon, 5 Aug 2019 06:41:23 +0000 (08:41 +0200)
This patch updates nikic/php-parser to version 4.2.2, which brings
better support for PHP 7.3 and adds initial support for PHP 7.4.

Changelog: https://raw.githubusercontent.com/nikic/PHP-Parser/v4.2.2/CHANGELOG.md

Composer command:

  composer require nikic/php-parser:^4.2

Resolves: #88914
Releases: master, 9.5
Change-Id: I6d7feb8851be6e5565cb069fb33c279f916f4667
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/61435
Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Susanne Moog <look@susi.dev>
Tested-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: Susanne Moog <look@susi.dev>
Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
composer.json
composer.lock
typo3/sysext/core/composer.json
typo3/sysext/install/composer.json

index 4aac731..2d3f8b8 100644 (file)
@@ -43,7 +43,7 @@
                "doctrine/instantiator": "^1.1",
                "doctrine/lexer": "^1.0",
                "guzzlehttp/guzzle": "^6.3.0",
-               "nikic/php-parser": "^4.0",
+               "nikic/php-parser": "^4.2",
                "phpdocumentor/reflection-docblock": "^4.3",
                "psr/container": "^1.0",
                "psr/event-dispatcher": "^1.0",
index 5ee308a..d2423b2 100644 (file)
@@ -4,7 +4,7 @@
         "Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
         "This file is @generated automatically"
     ],
-    "content-hash": "06057bed321591c1c59c6671272d31a3",
+    "content-hash": "c68d9477aef183cc2aca5fded40c82f7",
     "packages": [
         {
             "name": "cogpowered/finediff",
         },
         {
             "name": "nikic/php-parser",
-            "version": "v4.0.4",
+            "version": "v4.2.2",
             "source": {
                 "type": "git",
                 "url": "https://github.com/nikic/PHP-Parser.git",
-                "reference": "fa6ee28600d21d49b2b4e1006b48426cec8e579c"
+                "reference": "1bd73cc04c3843ad8d6b0bfc0956026a151fc420"
             },
             "dist": {
                 "type": "zip",
-                "url": "https://api.github.com/repos/nikic/PHP-Parser/zipball/fa6ee28600d21d49b2b4e1006b48426cec8e579c",
-                "reference": "fa6ee28600d21d49b2b4e1006b48426cec8e579c",
+                "url": "https://api.github.com/repos/nikic/PHP-Parser/zipball/1bd73cc04c3843ad8d6b0bfc0956026a151fc420",
+                "reference": "1bd73cc04c3843ad8d6b0bfc0956026a151fc420",
                 "shasum": ""
             },
             "require": {
             "type": "library",
             "extra": {
                 "branch-alias": {
-                    "dev-master": "4.0-dev"
+                    "dev-master": "4.2-dev"
                 }
             },
             "autoload": {
                 "parser",
                 "php"
             ],
-            "time": "2018-09-18T07:03:24+00:00"
+            "time": "2019-05-25T20:07:01+00:00"
         },
         {
             "name": "phpdocumentor/reflection-common",
index 36791a4..17dbf3c 100644 (file)
@@ -25,7 +25,7 @@
                "doctrine/instantiator": "^1.1",
                "doctrine/lexer": "^1.0",
                "guzzlehttp/guzzle": "^6.3.0",
-               "nikic/php-parser": "^4.0",
+               "nikic/php-parser": "^4.2",
                "psr/container": "^1.0",
                "psr/event-dispatcher": "^1.0",
                "psr/http-message": "~1.0",
index 0cd2617..a284d7e 100644 (file)
@@ -13,7 +13,7 @@
                "sort-packages": true
        },
        "require": {
-               "nikic/php-parser": "^4.0",
+               "nikic/php-parser": "^4.2",
                "symfony/finder": "^4.1",
                "typo3/cms-core": "10.1.*@dev",
                "typo3/cms-extbase": "10.1.*@dev",